# std::chrono::operator ==,!= (std::chrono::weekday)

From cppreference.com
< cpp‎ | chrono‎ | weekday

constexpr bool operator==(const std::chrono::weekday& x, const std::chrono::weekday& y) noexcept; |  | (since C++20)
constexpr bool operator!=(const std::chrono::weekday& x, const std::chrono::weekday& y) noexcept; |  | (since C++20)

Compare the two std::chrono::weekday `x` and `y`.

### Return value

1) unsigned(x) == unsigned(y)
2) unsigned(x) != unsigned(y)

### Notes

`weekday` does not support the `<`, `<=`, `>` and `>=` operators because there is no universal consensus on which day is the first day of the week.

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/weekday/operator_cmp&oldid=104798"